Tables/Get a table

Get a table

GET/tables/{tableId}

Authorization

AuthorizationRequiredBearer <token>

Authorization: Bearer onn_live_…. Prefix lookup (first 12 characters) plus argon2id. Scopes are tables:read and tables:write (write implies read).

In: header

Path Parameters

tableIdRequiredstring

Table UUID (not alias_id).

Format: "uuid"
curl -X GET "https://api.onnie.ai/api/public/v1/tables/497f6eca-6276-4993-bfeb-53cbbbba6f08" \
  -H "Authorization: Bearer <token>"

Table plus columns

{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "alias_id": "string",
  "name": "string",
  "project_id": "string",
  "columns": [
    {
      "id": 0,
      "name": "string",
      "type": "string",
      "required": true,
      "is_primary": true,
      "settings": {}
    }
  ]
}